import { CurrentContext, ObjectNode } from '../..';
import { NodeInterceptService } from '../../services/entity-intercept/node-intercept.service';
import { Image } from './content-image.interface';
import { TransientImageService } from './transient-image.service';
export declare class InterceptImageService {
    private transientImageService;
    private nodeInterceptService;
    constructor(transientImageService: TransientImageService, nodeInterceptService: NodeInterceptService);
    interceptImageCreate(entityId: string | undefined, image: ObjectNode, requestEntity: Partial<ObjectNode>, ctx: CurrentContext): Promise<boolean>;
    interceptImageUpdate(entityId: string | undefined, entity: ObjectNode, requestEntity: Partial<ObjectNode>, ctx: CurrentContext): Promise<boolean>;
    checkAndreduceImageEntitySize(image: Partial<Image>): Promise<boolean>;
    checkAndReduceImageSize(image: {
        base64: string;
        size: string;
    }): Promise<boolean>;
}
